Package Details: mod_jk 1.2.41-1

Git Clone URL: https://aur.archlinux.org/mod_jk.git (read-only)
Package Base: mod_jk
Description: The Apache Tomcat Connector
Upstream URL: http://tomcat.apache.org/connectors-doc/
Licenses: Apache
Submitter: None
Maintainer: windy
Last Packager: windy
Votes: 19
Popularity: 0.051058
First Submitted: 2006-02-01 23:49
Last Updated: 2016-04-16 07:45

Latest Comments

windy commented on 2016-04-16 07:46

Thanks for the notice, I updated the package. However, the source link still works.

Next time, please just use the function "Flag package out-of-date".

szobi commented on 2016-04-15 17:57

Hi,

This package is out of date and the source link is broken. You can find the latest version on this site: https://tomcat.apache.org/download-connectors.cgi

New Version: 1.2.41
New Link: http://mirror.serversupportforum.de/apache/tomcat/tomcat-connectors/jk/tomcat-connectors-1.2.41-src.tar.gz
New MD5: 1e459bf50a78cab05a6c6d07fb1580e7
New SHA1: b5d7c4523303e6dbd13d6ab67725f7ec5bf7d6d9

windy commented on 2015-02-13 18:23

I have adopted the package and updated it to 1.2.40. Please feel free to share any comments or suggestions for the package.

fbudassi commented on 2014-05-06 15:59

Hi!

As the package is really out of date and it's actually not working right now, I decided to fix it. I'm not able to update a new PKGBUILD for this package, so I decided to post here the new code for it, so that you can use it in your own system.

Regards,
Federico Budassi.

# Contributor: [Vitaliy Berdinskikh](mailto:ur6lad@archlinux.org.ua) aka UR6LAD
# Contributor: [Federico Budassi](mailto:federico.budassi@gmail.com)

pkgname=mod_jk
pkgver=1.2.40
pkgrel=1
pkgdesc="The Apache Tomcat Connector"
arch=('any')
url="http://tomcat.apache.org/connectors-doc/"
license=('Apache')
depends=('java-environment' 'apache')
source=(http://www.eu.apache.org/dist/tomcat/tomcat-connectors/jk/tomcat-connectors-${pkgver}-src.tar.gz)

build() {
cd $srcdir/tomcat-connectors-${pkgver}-src/native/

./configure \
--prefix=/usr \
--with-apxs=/usr/sbin/apxs \
--sysconfdir=/etc
make
}

package() {
cd $srcdir/tomcat-connectors-${pkgver}-src/native/

install -D -m755 apache-2.0/mod_jk.so "$pkgdir/usr/lib/httpd/modules/mod_jk.so"
}

md5sums=('7e6f4e4dbf5261f42ddd1fdbb9ac3e32')
sha1sums=('e20641db5b658f9ae596ef60f527075d4f788455')

robvelor commented on 2014-03-17 21:45

@anatolik That worked thanks.

anatolik commented on 2014-03-11 21:27

Remove "mkdir -p $pkgdir/usr/lib/httpd/modules" and use

install -D -m755 apache-2.0/mod_jk.so "$pkgdir/usr/lib/httpd/modules/mod_jk.so"

egore911 commented on 2013-05-31 11:21

I had to move the first line:

mkdir -p $pkgdir/usr/lib/httpd/modules

from build() to be the first line of package(). Otherwise it would create a "pkg" directory with chmod 000 and couldn't enter it.

ur6lad commented on 2012-10-04 20:11

1.2.37

mtorromeo commented on 2012-06-29 08:00

The source link does not work (404) and there is version 1.2.37 out. Would you mind updating?

Thanks.

ur6lad commented on 2012-05-30 20:45

1.2.36

ur6lad commented on 2010-12-13 06:40

1.2.31